import 'package:flutter/cupertino.dart';
import 'dart:ui' as ui;

class ZegoInputBoardWrapper extends StatefulWidget {
  const ZegoInputBoardWrapper({
    Key? key,
    required this.child,
  }) : super(key: key);

  final Widget child;

  @override
  State<ZegoInputBoardWrapper> createState() => ZegoInputBoardWrapperState();
}

/// @nodoc
class ZegoInputBoardWrapperState extends State<ZegoInputBoardWrapper> {
  final padding = MediaQueryData.fromWindow(ui.window).padding;

  @override
  Widget build(BuildContext context) {
    return SingleChildScrollView(
      child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        children: <Widget>[
          SizedBox(
            height: MediaQuery.of(context).size.height -
                padding.top -
                padding.bottom,
            child: widget.child,
          )
        ],
      ),
    );
  }
}
